IvyCheck
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.ant
Class IvyCheck

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.ivy.ant.IvyTask
                  org.apache.ivy.ant.IvyCheck

All Implemented Interfaces:
  java.lang.Cloneable

    public class IvyCheck

extends IvyTask

Checks the given ivy file using current configuration to see if all dependencies are available, with good confs. If a resolver name is given, it also checks that the declared publications are available in the corresponding resolver. Note that the check is not performed recursively, i.e. if a dependency has itself dependencies badly described or not available, this check will not discover it.

Field Summary

Fields inherited from class org.apache.ivy.ant.IvyTask
`ANT_PROJECT_CONTEXT_KEY`

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`IvyCheck()`

Method Summary
`void` | `addFileset(org.apache.tools.ant.types.FileSet set)` Adds a set of files to check.
`void` | `doExecute()` The real logic of task execution after project has been set in the context.
`java.io.File` | `getFile()`
`java.lang.String` | `getResolvername()`
`void` | `setFile(java.io.File file)`
`void` | `setResolvername(java.lang.String resolverName)`

Methods inherited from class org.apache.ivy.ant.IvyTask
`cacheAttributeNotSupported, doValidate, execute, finalizeTask, getIvyInstance, getProperty, getProperty, getProperty, getProperty, getPubDate, getResolvedConfigurations, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedDescriptor, getResolvedReport, getSettings, getSettingsRef, isValidate, mergeConfs, prepareTask, setResolved, setResolved, setSettingsRef, setValidate, splitConfs, toString`

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### IvyCheck

    public IvyCheck()

Method Detail

### getFile

    public java.io.File getFile()

### setFile

    public void setFile(java.io.File file)

### addFileset

    public void addFileset(org.apache.tools.ant.types.FileSet set)

  Adds a set of files to check.

  Parameters:
    `set` - a set of files to check

### getResolvername

    public java.lang.String getResolvername()

### setResolvername

    public void setResolvername(java.lang.String resolverName)

### doExecute

    public void doExecute()
                   throws org.apache.tools.ant.BuildException

  Description copied from class: `IvyTask`
  The real logic of task execution after project has been set in the context. MUST be implemented by subclasses

  Specified by:
    `doExecute` in class `IvyTask`
  Throws:
    `org.apache.tools.ant.BuildException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD